Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231619 - Problem with IBM Java and latest DST changes
Summary: Problem with IBM Java and latest DST changes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.5.0-ibm
Version: 4.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Lillian Angel
QA Contact:
URL: http://www-1.ibm.com/support/docview....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 15:35 UTC by Jon Fautley
Modified: 2009-06-15 11:49 UTC (History)
1 user (show)

Fixed In Version: RHSA-2008-0790
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-25 14:24:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Reproducer from Sun (deleted)
2007-03-09 15:36 UTC, Jon Fautley
no flags Details

Description Jon Fautley 2007-03-09 15:35:31 UTC
Problem with new DST updates to Java.

This is detailed by Sun at the following URL:

http://bugs.sun.com/bugdatabase/view_bug.do;?bug_id=6530336

This is the BZ to track the IBM JRE/JDK shipped in RHEL4.

Comment 1 Jon Fautley 2007-03-09 15:36:42 UTC
Created attachment 149689 [details]
Reproducer from Sun

Comment 2 Jon Fautley 2007-03-09 15:39:08 UTC
Attachment provided.

Reproducer:

# javac Moh.java
# java -Duser.timezone=America/New_York Moh

<< output here is "Wed Jun 06 14:00:00 EDT 2007" >>

# java -Duser.timezone=America/Los_Angeles Moh

<< output here is "Wed Jun 06 12:00:00 PDT 2007" >>

The actual output of the Los_Angeles run should be 11:00:00 PDT.


Comment 3 Thomas Fitzsimmons 2007-05-03 02:25:36 UTC
Proposing for RHEL-4.6.


Comment 4 RHEL Product and Program Management 2007-05-21 22:24:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 RHEL Product and Program Management 2007-09-07 19:36:46 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.


Note You need to log in before you can comment on or make changes to this bug.